/**
 * Cryptographic functions
 */

#pragma once

#include <stdbool.h>

#ifdef __cplusplus
extern "C"
{
#endif

    /**
     * Generate device private key, if required
     *
     * @returns true if a key was generated, false otherwise
     */
    bool crypto_gen_priv_key();

    /**
     * Print current device private key
     */
    void crypto_print_priv_key();

    /**
     * Get CSR
     *
     * @return NULL in case of failure or a buffer that must be
     * freed in case of success
     */
    char *crypto_get_csr();

#ifdef __cplusplus
}
#endif
