/**
 * Secure API functions
 */

#pragma once

#ifdef __cplusplus
extern "C"
{
#endif

    /**
     * Device enrollment status
     */
    enum DevEnrollmentStatus
    {
        /** An error occurred while retrieving device status */
        DevEnrollError = 0,
        /** Device is unknown by the backend */
        DevEnrollUnknown = 1,
        /** Device hasn't been validated yet */
        DevEnrollPending = 2,
        /** Device has been validated by the backend */
        DevEnrollValidated = 3,
    };

    /**
     * Get current device enrollment status
     */
    enum DevEnrollmentStatus
    secure_api_get_device_enrollment_status();

    /**
     * Enroll device
     */
    int secure_api_enroll_device();

    /**
     * Get device certificate
     */
    char *secure_api_get_dev_certificate();

#ifdef __cplusplus
}
#endif
